/*
 * Class LINEAR [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2051 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2051 [] = {0xFF01,1551,2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2051 [] = {0xFF01,2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2051 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2051 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2051 [] = {0xFF01,2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2051 [] = {0xFF01,2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2051 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2051 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2051 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2051 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2051 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2051 [] = {2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2051 [] = {0xFF01,2050,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2051 [] = {0xFF01,2050,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2051 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2051 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2051 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2051[] = {
	{EIF_GENERIC(NULL), 8929, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2051), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2051), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2051), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2051), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2051), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2051), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2051), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2051), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2051), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2051), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2051), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2051), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2051), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2051), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8664, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2051), 8928, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2051), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2051), 8921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2051), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8927, 0xFFFFFFFF},
};
void Init2051(void)
{
	IDSC(desc_2051, 0, 2050);
	IDSC(desc_2051 + 1, 1, 2050);
	IDSC(desc_2051 + 32, 1134, 2050);
	IDSC(desc_2051 + 41, 1444, 2050);
	IDSC(desc_2051 + 50, 1534, 2050);
}


#ifdef __cplusplus
}
#endif
